import 'package:example/theme.dart';
import 'package:flutter/material.dart';
import 'package:flutter_feedback/flutter_feedback.dart';

void main(List<String> args) {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: theme,
      home: const Home(),
    );
  }
}

class Home extends StatelessWidget {
  const Home({super.key});

  @override
  Widget build(BuildContext context) {
    return const FlutterFeedbackNavigatorUserstory();
  }
}
