///
class FeedbackTranslations {
  ///
  const FeedbackTranslations({
    required this.feedbackTitle,
    required this.about,
    required this.aboutUs,
    required this.privacyPolicy,
    required this.termsOfService,
    required this.feedback,
    required this.giveUsFeedback,
    required this.reportIssue,
    required this.aboutUsHeaderExplainer,
    required this.aboutUsExplainerTitleOne,
    required this.aboutUsExplainerOne,
    required this.aboutUsExplainerTitleTwo,
    required this.aboutUsExplainerTwo,
    required this.version,
    required this.ratingQuestion,
    required this.maybeLater,
    required this.helpUsImprove,
    required this.feedbackHintText,
    required this.feedbackValidationMessage,
    required this.feedbackSubmit,
    required this.feedbackSkip,
    required this.feedbackThankYoutitle,
    required this.feedbackClose,
    required this.reportIssueDescription,
    required this.issueOne,
    required this.issueTwo,
    required this.issueThree,
    required this.issueFour,
    required this.other,
    required this.reportHintText,
    required this.reportButtonText,
    required this.selectIssueTitle,
    required this.reportTextfieldHeaderText,
    required this.skip,
  });

  ///
  const FeedbackTranslations.empty({
    this.feedbackTitle = "about",
    this.about = "ABOUT",
    this.aboutUs = "About Us",
    this.privacyPolicy = "Privacy Policy",
    this.termsOfService = "Terms of service",
    this.feedback = "FEEDBACK",
    this.giveUsFeedback = "Give us feedback",
    this.reportIssue = "Report issue",
    this.aboutUsHeaderExplainer = "Wij bouwen en designen maatwerksoftware."
        " Apps, webapps en cloudoplossingen die er niet alleen gelikt"
        " uitzien, maar die ook perfect passen bij wat jouw gebruiker zoekt.",
    this.aboutUsExplainerTitleOne = "De gebruiker staat op #1",
    this.aboutUsExplainerOne = "Bij Iconica werken we design-driven."
        " Dat betekent dat we software ontwikkelen en ontwerpen die écht"
        " past bij wat de gebruiker zoekt. Je ontwikkelt een app, product"
        " of oplossing tenslotte voor de eindgebruiker. Dus gaan we eerst"
        " in gebruikersonderzoek uitgebreid kijken wat de gebruiker wil."
        " De wensen en behoeften van de gebruiker nemen we mee bij het"
        " bouwen van de app. Ook tussentijds doen we gebruikerstests."
        " Zo weten we zeker dat de app niet alleen goed werkt en er"
        " netjes uitziet, maar bovenal prettig is in gebruik.",
    this.aboutUsExplainerTitleTwo = "Ontwikkelen vanuit het design",
    this.aboutUsExplainerTwo =
        "Schakel je ons in om software te ontwikkelen? Dan maken we een"
            " vreugdedansje én gaan we samen aan de slag. Dit is hoe we werken"
            " als we voor jou een (web)app designen:\n • Een kop koffie."
            " Alles begint met koffie, nietwaar? \n • Kickoff. Is de"
            " prijsindicatie akkoord? Dan starten we met een kick-off."
            "\n • Design. Het begint allemaal met een eerste design. Daarin"
            " beschrijven we wat de app moet kunnen en hoe hij er in grote"
            " lijnen uitziet.\n • Implementatie. Na een paar rondes van"
            " designen, ontwikkelen en testen (en daarna dezelfde stappen"
            " opnieuw) komen we tot de eerste versie.",
    this.version = "Version",
    this.ratingQuestion = "Quick question: How do you like Iconica? Rate us!",
    this.maybeLater = "Maybe later",
    this.helpUsImprove = "Help us improve our app!",
    this.feedbackHintText = "Type your feedback here...",
    this.feedbackValidationMessage = "Please enter your feedback",
    this.feedbackSubmit = "Send feedback",
    this.feedbackSkip = "Skip",
    this.feedbackThankYoutitle =
        "Thanks for giving us feedback, we really appreciate it.",
    this.feedbackClose = "Close",
    this.reportIssueDescription =
        "We’re sorry to hear that you’ve run into an issue with our app."
            " Please let us know what the issue is so we can fix it as"
            " soon as possible.",
    this.issueOne = "Issue 1",
    this.issueTwo = "Issue 2",
    this.issueThree = "Issue 3",
    this.issueFour = "Issue 4",
    this.other = "Other",
    this.reportHintText = "Additional information...",
    this.reportButtonText = "Report issue",
    this.selectIssueTitle = "Select an issue",
    this.reportTextfieldHeaderText = "Additional information (optional)",
    this.skip = "Skip",
  });

  ///
  final String feedbackTitle;

  ///
  final String about;

  ///
  final String aboutUs;

  ///
  final String privacyPolicy;

  ///
  final String termsOfService;

  ///
  final String feedback;

  ///
  final String giveUsFeedback;

  ///
  final String reportIssue;

  ///
  final String aboutUsHeaderExplainer;

  ///
  final String aboutUsExplainerTitleOne;

  ///
  final String aboutUsExplainerOne;

  ///
  final String aboutUsExplainerTitleTwo;

  ///
  final String aboutUsExplainerTwo;

  ///
  final String version;

  ///
  final String ratingQuestion;

  ///
  final String maybeLater;

  ///
  final String helpUsImprove;

  ///
  final String feedbackHintText;

  ///
  final String feedbackValidationMessage;

  ///
  final String feedbackSubmit;

  ///
  final String feedbackSkip;

  ///
  final String feedbackThankYoutitle;

  ///
  final String feedbackClose;

  ///
  final String reportIssueDescription;

  ///
  final String issueOne;

  ///
  final String issueTwo;

  ///
  final String issueThree;

  ///
  final String issueFour;

  ///
  final String other;

  ///
  final String reportHintText;

  ///
  final String reportButtonText;

  ///
  final String selectIssueTitle;

  ///
  final String reportTextfieldHeaderText;

  ///
  final String skip;

  ///
  FeedbackTranslations copyWith({
    String? feedbackTitle,
    String? about,
    String? aboutUs,
    String? privacyPolicy,
    String? termsOfService,
    String? feedback,
    String? giveUsFeedback,
    String? reportIssue,
    String? aboutUsHeaderExplainer,
    String? aboutUsExplainerTitleOne,
    String? aboutUsExplainerOne,
    String? aboutUsExplainerTitleTwo,
    String? aboutUsExplainerTwo,
    String? version,
    String? ratingQuestion,
    String? maybeLater,
    String? helpUsImprove,
    String? feedbackHintText,
    String? feedbackValidationMessage,
    String? feedbackSubmit,
    String? feedbackSkip,
    String? feedbackThankYoutitle,
    String? feedbackClose,
    String? reportIssueDescription,
    String? issueOne,
    String? issueTwo,
    String? issueThree,
    String? issueFour,
    String? other,
    String? reportHintText,
    String? reportButtonText,
    String? selectIssueTitle,
    String? reportTextfieldHeaderText,
    String? skip,
  }) {
    return FeedbackTranslations(
      feedbackTitle: feedbackTitle ?? this.feedbackTitle,
      about: about ?? this.about,
      aboutUs: aboutUs ?? this.aboutUs,
      privacyPolicy: privacyPolicy ?? this.privacyPolicy,
      termsOfService: termsOfService ?? this.termsOfService,
      feedback: feedback ?? this.feedback,
      giveUsFeedback: giveUsFeedback ?? this.giveUsFeedback,
      reportIssue: reportIssue ?? this.reportIssue,
      aboutUsHeaderExplainer:
          aboutUsHeaderExplainer ?? this.aboutUsHeaderExplainer,
      aboutUsExplainerTitleOne:
          aboutUsExplainerTitleOne ?? this.aboutUsExplainerTitleOne,
      aboutUsExplainerOne: aboutUsExplainerOne ?? this.aboutUsExplainerOne,
      aboutUsExplainerTitleTwo:
          aboutUsExplainerTitleTwo ?? this.aboutUsExplainerTitleTwo,
      aboutUsExplainerTwo: aboutUsExplainerTwo ?? this.aboutUsExplainerTwo,
      version: version ?? this.version,
      ratingQuestion: ratingQuestion ?? this.ratingQuestion,
      maybeLater: maybeLater ?? this.maybeLater,
      helpUsImprove: helpUsImprove ?? this.helpUsImprove,
      feedbackHintText: feedbackHintText ?? this.feedbackHintText,
      feedbackValidationMessage:
          feedbackValidationMessage ?? this.feedbackValidationMessage,
      feedbackSubmit: feedbackSubmit ?? this.feedbackSubmit,
      feedbackSkip: feedbackSkip ?? this.feedbackSkip,
      feedbackThankYoutitle:
          feedbackThankYoutitle ?? this.feedbackThankYoutitle,
      feedbackClose: feedbackClose ?? this.feedbackClose,
      reportIssueDescription:
          reportIssueDescription ?? this.reportIssueDescription,
      issueOne: issueOne ?? this.issueOne,
      issueTwo: issueTwo ?? this.issueTwo,
      issueThree: issueThree ?? this.issueThree,
      issueFour: issueFour ?? this.issueFour,
      other: other ?? this.other,
      reportHintText: reportHintText ?? this.reportHintText,
      reportButtonText: reportButtonText ?? this.reportButtonText,
      selectIssueTitle: selectIssueTitle ?? this.selectIssueTitle,
      reportTextfieldHeaderText:
          reportTextfieldHeaderText ?? this.reportTextfieldHeaderText,
      skip: skip ?? this.skip,
    );
  }
}
