import "package:flutter/material.dart";

///
class AboutUsExplainerWidget extends StatelessWidget {
  ///
  const AboutUsExplainerWidget({
    required this.title,
    required this.explainer,
    super.key,
  });

  ///
  final String title;

  /// ///
  final String explainer;

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          title,
          style: theme.textTheme.titleMedium,
        ),
        const SizedBox(
          height: 4,
        ),
        Text(
          explainer,
          style: theme.textTheme.bodyMedium,
          textAlign: TextAlign.left,
        ),
      ],
    );
  }
}
