import "package:flutter/material.dart";

///
class AboutUsHeaderExplainer extends StatelessWidget {
  ///
  const AboutUsHeaderExplainer({
    required this.explainerText,
    super.key,
  });

  ///
  final String explainerText;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(16),
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(8),
        border: Border.all(
          width: 0.5,
          color: Colors.black,
        ),
      ),
      child: Text(
        explainerText,
        textAlign: TextAlign.left,
      ),
    );
  }
}
